# Interface SingleTableMapping

All Known Implementing Classes:
  `Match1Mapping`

public interface SingleTableMapping
Interface that defines mapping one table to another.

Since:
  16 Nov 2007
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.StarTable`
`map(uk.ac.starlink.table.StarTable table)`
Converts an input table to an output table.

## Method Details

### map

uk.ac.starlink.table.StarTable map(uk.ac.starlink.table.StarTable table) throws IOException, uk.ac.starlink.task.TaskException
Converts an input table to an output table.

Parameters:
  `table` - input table
Returns:
  output table
Throws:
  `IOException`
  `uk.ac.starlink.task.TaskException`